\name{fHmap}
\alias{fHmap}
\title{Function to generate a heatmap}
\description{This function generates a heatmap of a matrix by aligning rows to y-axis and columns to x-axis.}
\usage{
fHmap(z, Range=NULL, Grid=TRUE, Color=1, GridLine=list(Col="orange", Weight=1, GridType=1), RowLine=list(Pos=NULL, Type=1, Weight=1, Col="cyan"), ColLine=list(Pos=NULL, Type=1, Weight=1, Col="cyan"), Mark=NULL)
}
\arguments{
  \item{z}{a numeric matrix}
  \item{Range}{a 2-element numeric vector or \code{NULL}}
  \item{Grid}{a logical value}
  \item{Color}{a numeric value (1-10) or 2-/3-element character vector}
  \item{GridLine}{a list with "Col"", "Weight"", "GridType" elements}
  \item{RowLine}{a list with "Pos", "Col", "Weight", "Type" elements}
  \item{ColLine}{a list with "Pos", "Col", "Weight", "Type" elements}
  \item{Mark}{a list with lists of "R" and "C" elements}
}
\value{A character vector of color specification will be returned to help color bar generation (using colorbar.plot function in fields package for instance).}
\details{\code{Range} sets the range of values in \code{z} to plot. If \code{NULL}, full range values will be used. \code{Grid} determines whether to put grid lines in the heatmap or not. If \code{Grid} is turned on, then \code{GridLine} determines the color (\code{Col}), line width (\code{Weight}), and line type (\code{GridType}). If horizontal or vertical lines are required, \code{RowLine} or \code{ColLine} can be used with \code{Pos} to specify the position to put those lines at. For row lines, the position is counted from the top not from the bottom as done in \code{image} function. If specific elements in the matrix \code{z} is to be highlighted, then \code{Mark} can be used where each element is represented as \code{list("R"=10, "C"=4)} for instance.}
\author{Tae-Hoon Chung}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (z) 
{
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{plot}
\keyword{utility}% __ONLY ONE__ keyword per line
