\name{fPairs}
\alias{fPairs}
\title{Function to generate a modified pairs plot}
\description{This is a function adapted from the \strong{PerformanceAnalytics} library}
\usage{
fPairs(R, histogram=TRUE, method=c("pearson", "kendall", "spearman"),
CEXCOR=1, fit="lin", ...)
}
\arguments{
  \item{R}{a matrix}
  \item{histogram}{a logical}
  \item{method}{a character (one of "pearson", "kendall", and "spearman")}
  \item{CEXCOR}{a numeric (correlation value size in pairs plot)}
  \item{fit}{a string (fitting method over scatter plot)}
  \item{...}{graphic parameters for \code{pairs}}
}
\details{With a matrix \code{R}, this function generates a pairs plot
  using column vectors. In the upper triangular part, correlation values
  between two columns are displayed while, in the lower triangular part,
  corresponding scatter plots are displayed. Along the diagonal part,
  histograms of individual data vector will appear if \code{histogram}
  is turned on (\code{TRUE}). The correlation between two column vectors
  will be estimated by the method provided in \code{method}. If
  \code{fit} is "lin", linear regression lines will be overlaid on the
  scatter plots. Otherwise, lowess regression lines will be drawn.}
\author{Tae-Hoon Chung}
\note{In the lower triangular part, straight lines are plotted on top of scatter plots while the version in \strong{PerformanceAnalytics} library used smooth regression lines.}
\examples{
\dontrun{fPairs(cbind("X"=rnorm(20), "Y"=rbinom(20), "Z"=rpois(20)))}
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{plot}
\keyword{utility}% __ONLY ONE__ keyword per line
